Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453274 - If i push the icon für system-config-network i become a tracback. If i try it again it works.
Summary: If i push the icon für system-config-network i become a tracback. If i try it...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-network
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-28 18:48 UTC by hans
Modified: 2009-06-10 11:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-06-10 11:20:57 UTC


Attachments (Terms of Use)

Description hans 2008-06-28 18:48:54 UTC
Description of problem:
Sometimes, when I want to activate my DSL Network and push the icon for
"system-config-network", i receive the following traceback:
---------------------------------------------------------
-----------------------------------------------------------
Component: system-config-network
Version: 1.5.10
Summary: TB0139f1d8 __init__.py:27:<module>:OSError: [Errno 12] Nicht genügend
Hauptspeicher verfügbar: '/usr/share/system-config-network/netconfpkg/gui'

Traceback (most recent call last):
  File "/usr/sbin/system-config-network-gui", line 141, in runit
    import netconfpkg.gui.GUI_functions
  File "/usr/share/system-config-network/netconfpkg/gui/__init__.py", line 27,
in <module>
    _files = map(lambda v: v[:-3], filter(lambda v: v[-3:] == ".py" and v !=
"__init__.py" and v != 'genClass.py' and v[0] != '.', os.listdir(__path__[0])))
OSError: [Errno 12] Nicht genügend Hauptspeicher verfügbar:
'/usr/share/system-config-network/netconfpkg/gui'

Local variables in innermost frame:
__builtins__: {'IndexError': <type 'exceptions.IndexError'>, 'all': <built-in
function all>, 'help': Type help() for interactive help, or help(object) for
help about object., 'vars': <built-in function vars>, 'SyntaxError': <type
'exceptions.SyntaxError'>, 'unicode': <type 'unicode'>, 'UnicodeDecodeError':
<type 'exceptions.UnicodeDecodeError'>, 'isinstance': <built-in function
isinstance>, 'copyright': Copyright (c) 2001-2007 Python Software Foundation.
All Rights Reserved.

Copyright (c) 2000 BeOpen.com.
All Rights Reserved.

Copyright (c) 1995-2001 Corporation for National Research Initiatives.
All Rights Reserved.

Copyright (c) 1991-1995 Stichting Mathematisch Centrum, Amsterdam.
All Rights Reserved., 'NameError': <type 'exceptions.NameError'>, 'dict': <type
'dict'>, 'input': <built-in function input>, 'oct': <built-in function oct>,
'SystemExit': <type 'exceptions.SystemExit'>, 'StandardError': <type
'exceptions.StandardError'>, 'repr': <built-in function repr>, 'sorted':
<built-in function sorted>, 'False': False, 'RuntimeWarning': <type
'exceptions.RuntimeWarning'>, 'list': <type 'list'>, 'iter': <built-in function
iter>, 'reload': <built-in function reload>, 'Warning': <type
'exceptions.Warning'>, 'round': <built-in function round>, 'dir': <built-in
function dir>, 'cmp': <built-in function cmp>, 'set': <type 'set'>, 'reduce':
<built-in function reduce>, 'intern': <built-in function intern>, 'issubclass':
<built-in function issubclass>, 'Ellipsis': Ellipsis, 'EOFError': <type
'exceptions.EOFError'>, 'locals': <built-in function locals>, 'slice': <type
'slice'>, 'FloatingPointError': <type 'exceptions.FloatingPointError'>, 'sum':
<built-in function sum>, 'getattr': <built-in function getattr>, 'abs':
<built-in function abs>, 'exit': Use exit() or Ctrl-D (i.e. EOF) to exit,
'True': True, 'FutureWarning': <type 'exceptions.FutureWarning'>,
'ImportWarning': <type 'exceptions.ImportWarning'>, 'None': None, 'hash':
<built-in function hash>, 'len': <built-in function len>, 'credits':     Thanks
to CWI, CNRI, BeOpen.com, Zope Corporation and a cast of thousands
    for supporting Python development.  See www.python.org for more
information., 'frozenset': <type 'frozenset'>, '__name__': '__builtin__', 'ord':
<built-in function ord>, 'super': <type 'super'>, '_': <bound method
i18n.gettext of <rhpl.translate.i18n instance at 0x15fcb90>>, 'TypeError': <type
'exceptions.TypeError'>, 'license': See http://www.python.org/2.5/license.html,
'KeyboardInterrupt': <type 'exceptions.KeyboardInterrupt'>, 'UserWarning': <type
'exceptions.UserWarning'>, 'filter': <built-in function filter>, 'range':
<built-in function range>, 'staticmethod': <type 'staticmethod'>, 'SystemError':
<type 'exceptions.SystemError'>, 'BaseException': <type
'exceptions.BaseException'>, 'pow': <built-in function pow>, 'RuntimeError':
<type 'exceptions.RuntimeError'>, 'float': <type 'float'>, 'MemoryError': <type
'exceptions.MemoryError'>, 'StopIteration': <type 'exceptions.StopIteration'>,
'globals': <built-in function globals>, 'divmod': <built-in function divmod>,
'enumerate': <type 'enumerate'>, 'apply': <built-in function apply>,
'LookupError': <type 'exceptions.LookupError'>, 'open': <built-in function
open>, 'quit': Use quit() or Ctrl-D (i.e. EOF) to exit, 'basestring': <type
'basestring'>, 'UnicodeError': <type 'exceptions.UnicodeError'>, 'zip':
<built-in function zip>, 'hex': <built-in function hex>, 'long': <type 'long'>,
'ReferenceError': <type 'exceptions.ReferenceError'>, 'ImportError': <type
'exceptions.ImportError'>, 'chr': <built-in function chr>, 'xrange': <type
'xrange'>, 'type': <type 'type'>, '__doc__': "Built-in functions, exceptions,
and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents
`...' in slices.", 'Exception': <type 'exceptions.Exception'>, 'tuple': <type
'tuple'>, 'UnicodeTranslateError': <type 'exceptions.UnicodeTranslateError'>,
'reversed': <type 'reversed'>, 'UnicodeEncodeError': <type
'exceptions.UnicodeEncodeError'>, 'IOError': <type 'exceptions.IOError'>,
'hasattr': <built-in function hasattr>, 'delattr': <built-in function delattr>,
'setattr': <built-in function setattr>, 'raw_input': <built-in function
raw_input>, 'SyntaxWarning': <type 'exceptions.SyntaxWarning'>, 'compile':
<built-in function compile>, 'ArithmeticError': <type
'exceptions.ArithmeticError'>, 'str': <type 'str'>, 'property': <type
'property'>, 'GeneratorExit': <type 'exceptions.GeneratorExit'>, 'int': <type
'int'>, '__import__': <built-in function __import__>, 'KeyError': <type
'exceptions.KeyError'>, 'coerce': <built-in function coerce>,
'PendingDeprecationWarning': <type 'exceptions.PendingDeprecationWarning'>,
'file': <type 'file'>, 'EnvironmentError': <type 'exceptions.EnvironmentError'>,
'unichr': <built-in function unichr>, 'any': <built-in function any>, 'OSError':
<type 'exceptions.OSError'>, 'DeprecationWarning': <type
'exceptions.DeprecationWarning'>, 'min': <built-in function min>,
'UnicodeWarning': <type 'exceptions.UnicodeWarning'>, 'execfile': <built-in
function execfile>, 'id': <built-in function id>, 'complex': <type 'complex'>,
'bool': <type 'bool'>, 'ValueError': <type 'exceptions.ValueError'>,
'NotImplemented': NotImplemented, 'map': <built-in function map>, 'buffer':
<type 'buffer'>, 'max': <built-in function max>, 'object': <type 'object'>,
'TabError': <type 'exceptions.TabError'>, 'callable': <built-in function
callable>, 'ZeroDivisionError': <type 'exceptions.ZeroDivisionError'>, 'eval':
<built-in function eval>, '__debug__': True, 'IndentationError': <type
'exceptions.IndentationError'>, 'AssertionError': <type
'exceptions.AssertionError'>, 'classmethod': <type 'classmethod'>,
'UnboundLocalError': <type 'exceptions.UnboundLocalError'>,
'NotImplementedError': <type 'exceptions.NotImplementedError'>,
'AttributeError': <type 'exceptions.AttributeError'>, 'OverflowError': <type
'exceptions.OverflowError'>}
__file__: None
__path__: None
__name__: None
os: None
__doc__: None

------------------------------------------------
-------------------------------------------------

Version-Release number of selected component (if applicable):


How reproducible:
I do not know. Sometimes it happens.
I work under a normal user account an enter the password for root account when
the request appear.


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:
Only for Information.

Additional info:
If i push the icon for system-config-network i become a traceback. If i try it
again it works.

Comment 1 Jiri Moskovcak 2008-11-28 14:47:33 UTC
Does this bug still persist with latest updates?

Comment 2 Felix Schwarz 2008-12-28 12:46:02 UTC
This seems to be very likely an old bug in Python's os.listdir, see #451494 which is fixed since August 2008.

Upstream bugs:
 * http://bugs.python.org/issue3115
 * http://bugs.python.org/issue1608818

Reports, can you verify that it works now? If there is no reaction for two weeks I suggest closing it as 'WORKSFORME' or 'CURRENTRELEASE'.

Comment 3 Bug Zapper 2009-06-10 11:05:28 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.